# AmazonUpdateEcsServicesParameters Object

## Description

Parameters for the Amazon Update ECS Services action.

## Properties

### clusterIdentificationMethod

Method of identifying the ECS clusters.

Type: `string`

Valid Values:

* `all-clusters`
* `by-cluster-name`

Required: Yes

### clusterNameComparison

Comparison to use when identifying ECS clusters by name. Required when `clusterIdentificationMethod` is `by-cluster-name`.

Type: [EcsClusterNameComparison](/data-types/ecsclusternamecomparison-object.md) object.

Required: Conditional

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### desiredCount

Desired number of tasks for the service.

Type: `integer`

Required: Yes

### regionNames

Regions to use with the action. Omit or specify `null` to include "all regions".

Type: Array of `string`

Required: No

### revertTimeInSeconds

Time (in seconds) after which the ECS services will be reverted to their original settings.

Type: `integer`

Required: No

### serviceIdentificationMethod

Method of identifying the ECS services.

Type: `string`

Valid Values:

* `all-services`
* `by-service-name`

Required: Yes

### serviceNameComparison

Comparison to use when identifying ECS services by name. Required when `serviceIdentificationMethod` is `by-service-name`.

Type: [EcsServiceNameComparison](/data-types/ecsservicenamecomparison-object.md) object.

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "clusterIdentificationMethod": "all-clusters",
    "serviceIdentificationMethod": "all-services",

    "desiredCount": 10,
    
    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonupdateecsservicesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
